XMLBuilderParametersImpl (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.builder, class: XMLBuilderParametersImpl

Package org.apache.commons.configuration2.builder

# Class XMLBuilderParametersImpl

java.lang.Object
org.apache.commons.configuration2.builder.BasicBuilderParameters
org.apache.commons.configuration2.builder.FileBasedBuilderParametersImpl
org.apache.commons.configuration2.builder.HierarchicalBuilderParametersImpl
org.apache.commons.configuration2.builder.XMLBuilderParametersImpl

All Implemented Interfaces:
  `Cloneable`, `BasicBuilderProperties<BasicBuilderParameters>`, `BuilderParameters`, `FileBasedBuilderProperties<FileBasedBuilderParametersImpl>`, `HierarchicalBuilderProperties<HierarchicalBuilderParametersImpl>`, `XMLBuilderProperties<XMLBuilderParametersImpl>`

public class XMLBuilderParametersImpl extends HierarchicalBuilderParametersImpl implements XMLBuilderProperties<XMLBuilderParametersImpl>

A specialized parameters class for XML configuration.

This parameters class defines some properties which allow customizing the parsing of XML documents. The location of the XML document to be loaded can be specified, too.

This class is not thread-safe. It is intended that an instance is constructed and initialized by a single thread during configuration of a `ConfigurationBuilder`.

Since:
  2.0

- ## Field Summary

  ### Fields inherited from interface org.apache.commons.configuration2.builder.BuilderParameters

  `RESERVED_PARAMETER_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XMLBuilderParametersImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EntityResolver`
  `getEntityResolver()`
  Gets the `EntityResolver` stored in this parameters object.
  `void`
  `inheritFrom(Map<String,?> source)`
  Inherits properties from the specified map.
  `XMLBuilderParametersImpl`
  `setDocumentBuilder(DocumentBuilder docBuilder)`
  Sets the `DocumentBuilder` for parsing an XML document.
  `XMLBuilderParametersImpl`
  `setEntityResolver(EntityResolver resolver)`
  Sets the `EntityResolver` which maps entity references during XML parsing.
  `XMLBuilderParametersImpl`
  `setPublicID(String pubID)`
  Sets the public ID of the DOCTYPE declaration.
  `XMLBuilderParametersImpl`
  `setSchemaValidation(boolean f)`
  Sets the value of the schemaValidation flag.
  `XMLBuilderParametersImpl`
  `setSystemID(String sysID)`
  Sets the system ID of the DOCTYPE declaration.
  `XMLBuilderParametersImpl`
  `setValidating(boolean f)`
  Sets a flag whether schema/DTD validation should be performed.

  ### Methods inherited from class org.apache.commons.configuration2.builder.HierarchicalBuilderParametersImpl

  `setExpressionEngine`

  ### Methods inherited from class org.apache.commons.configuration2.builder.FileBasedBuilderParametersImpl

  `clone, fromMap, fromParameters, fromParameters, getFileHandler, getParameters, getReloadingDetectorFactory, getReloadingRefreshDelay, setBasePath, setEncoding, setFile, setFileName, setFileSystem, setLocationStrategy, setPath, setReloadingDetectorFactory, setReloadingRefreshDelay, setURL, setURL`

  ### Methods inherited from class org.apache.commons.configuration2.builder.BasicBuilderParameters

  `copyPropertiesFrom, fetchBeanHelper, fetchInterpolatorSpecification, fetchProperty, merge, setBeanHelper, setConfigurationDecoder, setConversionHandler, setDefaultLookups, setInterpolator, setListDelimiterHandler, setLogger, setParentInterpolator, setPrefixLookups, setSynchronizer, setThrowExceptionOnMissing, storeProperty`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XMLBuilderParametersImpl

    public XMLBuilderParametersImpl()

- ## Method Details

  - ### getEntityResolver

    public EntityResolver getEntityResolver()
    Gets the `EntityResolver` stored in this parameters object. Result is null if no such object has been set.
    Returns:
      the `EntityResolver` or null

  - ### inheritFrom

    public void inheritFrom(Map<String,?> source)
    Description copied from class: `HierarchicalBuilderParametersImpl`
    Inherits properties from the specified map. This can be used for instance to reuse parameters from one builder in another builder - also in parent-child relations in which a parent builder creates child builders. The purpose of this method is to let a concrete implementation decide which properties can be inherited. Because parameters are basically organized as a map it would be possible to simply copy over all properties from the source object. However, this is not appropriate in all cases. For instance, some properties - like a `ConfigurationInterpolator` - are tightly connected to a configuration and cannot be reused in a different context. For other properties, for example a file name, it does not make sense to copy it. Therefore, an implementation has to be explicit in the properties it wants to take over. This implementation takes some properties defined in this class into account. This implementation copies some more properties defined by this class.
    Overrides:
      `inheritFrom` in class `HierarchicalBuilderParametersImpl`
    Parameters:
      `source` - the source properties to inherit from

  - ### setDocumentBuilder

    public XMLBuilderParametersImpl setDocumentBuilder(DocumentBuilder docBuilder)
    Description copied from interface: `XMLBuilderProperties`
    Sets the `DocumentBuilder` for parsing an XML document. This is the most flexible way of customizing XML processing.
    Specified by:
      `setDocumentBuilder` in interface `XMLBuilderProperties<XMLBuilderParametersImpl>`
    Parameters:
      `docBuilder` - the `DocumentBuilder` to use
    Returns:
      a reference to this object for method chaining

  - ### setEntityResolver

    public XMLBuilderParametersImpl setEntityResolver(EntityResolver resolver)
    Description copied from interface: `XMLBuilderProperties`
    Sets the `EntityResolver` which maps entity references during XML parsing.
    Specified by:
      `setEntityResolver` in interface `XMLBuilderProperties<XMLBuilderParametersImpl>`
    Parameters:
      `resolver` - the `EntityResolver` to use
    Returns:
      a reference to this object for method chaining

  - ### setPublicID

    public XMLBuilderParametersImpl setPublicID(String pubID)
    Description copied from interface: `XMLBuilderProperties`
    Sets the public ID of the DOCTYPE declaration.
    Specified by:
      `setPublicID` in interface `XMLBuilderProperties<XMLBuilderParametersImpl>`
    Parameters:
      `pubID` - the public ID
    Returns:
      a reference to this object for method chaining

  - ### setSchemaValidation

    public XMLBuilderParametersImpl setSchemaValidation(boolean f)
    Description copied from interface: `XMLBuilderProperties`
    Sets the value of the schemaValidation flag. This flag determines whether DTD or Schema validation should be used.
    Specified by:
      `setSchemaValidation` in interface `XMLBuilderProperties<XMLBuilderParametersImpl>`
    Parameters:
      `f` - the flag value, true for schema validation, false for DTD validation
    Returns:
      a reference to this object for method chaining

  - ### setSystemID

    public XMLBuilderParametersImpl setSystemID(String sysID)
    Description copied from interface: `XMLBuilderProperties`
    Sets the system ID of the DOCTYPE declaration.
    Specified by:
      `setSystemID` in interface `XMLBuilderProperties<XMLBuilderParametersImpl>`
    Parameters:
      `sysID` - the system ID
    Returns:
      a reference to this object for method chaining

  - ### setValidating

    public XMLBuilderParametersImpl setValidating(boolean f)
    Description copied from interface: `XMLBuilderProperties`
    Sets a flag whether schema/DTD validation should be performed.
    Specified by:
      `setValidating` in interface `XMLBuilderProperties<XMLBuilderParametersImpl>`
    Parameters:
      `f` - the validation flag
    Returns:
      a reference to this object for method chaining